posix_access
posix_errno
POSIX Functions
PHP Manual

# posix_ctermid

Get path name of controlling terminal

### Description

string posix_ctermid ( void )

Generates a string which is the pathname for the current controlling terminal for the process. On error this will set errno, which can be checked using posix_get_last_error

### Return Values

Upon successful completion, returns string of the pathname to the current controlling terminal. Otherwise `FALSE` is returned and errno is set, which can be checked with posix_get_last_error.

### Examples

Example #1 posix_ctermid example

This example will display the path to the current TTY.

`<?php
echo "I am running from ".posix_ctermid();
?>`

### See Also

- posix_ttyname
- posix_get_last_error